Subject: bug#39685: closed (Guix pull fails on qemu image)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 20 Feb 2020 19:49:02 +0000

Your bug report

#39685: Error on guix-pull using the qemu image

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39685: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39685
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Guix pull fails on qemu image
From: Gábor Boskovits <[email-masked]>
To: [email-masked]
Date: Thu, 20 Feb 2020 20:48:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Not a bug.

Subject: Error on guix-pull using the qemu image
From: Eilene Tomkins-Flanagan <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 20 Feb 2020 03:56:06 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I downloaded the qemu image from https://ftp.gnu.org/gnu/guix/guix-system-vm-image-1.0.1.x86_64-linux.xz. It had a valid signature.

After booting the machine with qemu 3.1 (I'm on debian-amber):
`qemu-system-x86_64    -net user -net nic,model=virtio    -enable-kvm -m 512    -device virtio-blk,drive=myhd    -drive if=none,file=./guix-system-vm-image-1.0.1.x86_64-linux,id=myhd`

I tried installing hello for the guest user. It worked fine.

I then tried running `guix pull && guix package -u`, and received the following error:
```
[...]
substitute: updating substitutes from 'https://ci.guix.gnu.org'...100.0%
Backtrace:
          1 (apply-smob/1 #<catch-closure d6f220 quit)
          0 (apply-smob/1 #<catch-closure 6a2bbc0>)

ERROR: In procedure apply-smob/1
In procedure fport_write: Broken pipe
```

On the second attempt, it failed immediately with this message:
```
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Building from this channel:
  guix      https://guix.savannah.gnu.org/git/guix.git 6dde98c
Computing Guix derivation for 'x86_64-linux'.../guix pull: error: You found a bug: the program '/gnu/store/mr5q5qcwinaxy7f4cyfm08s05aj9rr6-compute-guix-derivation'
failed to compute the derivation for Guix (version: "6dde98c3d9e7a0385da57abedd9b41ca733acfc6"; system: "x86_64-linux";
host version: "1.0.1-1.8204295"; pull-version: 1).
Please report it by email to <bug-guix.gnu.org>
```

After asking on the IRC to find out if I'd made a mistake, they directed me to send in the error as the message said.

Let me know if other info is necessary for reproduction.

-Eilene